package SGN::View::BareMason::Commands;
use strict;
use vars qw($m $c);
HTML::Mason::Component::FileBased->new(
'code' => sub {
use utf8; local $SGN::View::BareMason::Commands::m = $HTML::Mason::Commands::m;
$m->debug_hook( $m->current_comp->path ) if ( HTML::Mason::Compiler::IN_PERL_DB() );

#line 1 "/home/production/cxgn/sgn/mason/site/toolbar/search.mas"
$m->print( '
<li style="height:100%">
  <form id="toolbar_search_form" class="navbar-form navbar-left form-inline" role="search" action="/search/quick_search.pl" style="padding-right: 2px;height:100%">
    <div class="input-group">
      <span id="advanced_search_li" class="btn btn-default input-group-addon" style="display:none" onclick="location.href=\'/search\';">Advanced</span>
      <input id="quick_search_input" style="display:none;" type="text" name="term" class="form-control" placeholder="">
      <span id="quick_search_icon" class="btn btn-default" style="height:34px; font-size:16; padding-top:8px;" title="Search"><span class="glyphicon glyphicon-search" aria-hidden="true"></span></span>
    </div>
  </form>
</li>

<script defer="defer">
  jQuery(document).ready(function() {
    
    jQuery(\'#quick_search_icon\').click(function () {
      
      //open the search box
      if (jQuery(\'#quick_search_input\').attr("placeholder") == "") {
        jQuery(\'#quick_search_input\').attr("placeholder","Search");
        
        jQuery(\'#quick_search_icon\').addClass("input-group-addon");
        
        jQuery(\'#advanced_search_li\').css("display","table-cell");
        jQuery(\'#quick_search_input\').css("display","table-cell");
        jQuery(\'#quick_search_input\').css("width","0px");
        jQuery(\'#quick_search_input\').animate({
          width: \'150px\'
        }, 400);

      }
      else {
        //close the search box if empty
        var search_val = jQuery(\'#quick_search_input\').val();
        // alert("search_val: "+search_val);

        if (search_val) {
          jQuery(\'#toolbar_search_form\').submit();
        }
        else {

          jQuery(\'#quick_search_input\').animate({
            width: \'0px\'
          }, 400, function(){
            // callback function
            jQuery(\'#quick_search_input\').attr("placeholder","");
            jQuery(\'#quick_search_input\').css("display","none");
            jQuery(\'#advanced_search_li\').css("display","none");
            jQuery(\'#quick_search_icon\').removeClass("input-group-addon");
          });

        } //close search_val else
      }
    });
    
  });
</script>' );
;return;
},
'load_time' => 1729517275,

)
;